org.apache.activemq.artemis.jms.server.config.impl

## Class FileJMSConfiguration

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.JMSConfigurationImpl
  - - org.apache.activemq.artemis.jms.server.config.impl.FileJMSConfiguration

- All Implemented Interfaces:
    org.apache.activemq.artemis.core.deployers.Deployable, JMSConfiguration

      public class FileJMSConfiguration
      extends JMSConfigurationImpl
      implements org.apache.activemq.artemis.core.deployers.Deployable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileJMSConfiguration()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildService(ActiveMQSecurityManager securityManager, MBeanServer mBeanServer, Map<String,org.apache.activemq.artemis.core.deployers.Deployable> deployables, Map<String,org.apache.activemq.artemis.core.server.ActiveMQComponent> components)`
    `String` | `getRootElement()`
    `String` | `getSchema()`
    `boolean` | `isParsed()`
    `protected void` | `newConfig(ArrayList<JMSQueueConfiguration> queues, ArrayList<TopicConfiguration> topics, String domain)`
    `protected static JMSQueueConfiguration` | `newQueue(String queueName, String selectorString, boolean durable)`
    `protected static TopicConfiguration` | `newTopic(String topicName)`
    `void` | `parse(Element config)`
    `void` | `parseConfiguration(Node rootnode)` Parse the JMS Configuration XML
    `static JMSQueueConfiguration` | `parseQueueConfiguration(Node node)` Parse the Queue Configuration node as a QueueConfiguration object
    `static TopicConfiguration` | `parseTopicConfiguration(Node node)` Parse the topic node as a TopicConfiguration object

    - ### Methods inherited from class org.apache.activemq.artemis.jms.server.config.impl.JMSConfigurationImpl

      `getConnectionFactoryConfigurations, getDomain, getQueueConfigurations, getTopicConfigurations, setConnectionFactoryConfigurations, setDomain, setQueueConfigurations, setTopicConfigurations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileJMSConfiguration

          public FileJMSConfiguration()

  - ### Method Detail

    - #### parse

          public void parse(Element config)
                     throws Exception

      Specified by:
        `parse` in interface `org.apache.activemq.artemis.core.deployers.Deployable`
      Throws:
        `Exception`

    - #### isParsed

          public boolean isParsed()

      Specified by:
        `isParsed` in interface `org.apache.activemq.artemis.core.deployers.Deployable`

    - #### getRootElement

          public String getRootElement()

      Specified by:
        `getRootElement` in interface `org.apache.activemq.artemis.core.deployers.Deployable`

    - #### buildService

          public void buildService(ActiveMQSecurityManager securityManager,
                                   MBeanServer mBeanServer,
                                   Map<String,org.apache.activemq.artemis.core.deployers.Deployable> deployables,
                                   Map<String,org.apache.activemq.artemis.core.server.ActiveMQComponent> components)
                            throws Exception

      Specified by:
        `buildService` in interface `org.apache.activemq.artemis.core.deployers.Deployable`
      Throws:
        `Exception`

    - #### getSchema

          public String getSchema()

      Specified by:
        `getSchema` in interface `org.apache.activemq.artemis.core.deployers.Deployable`

    - #### parseConfiguration

          public void parseConfiguration(Node rootnode)
                                  throws Exception

      Parse the JMS Configuration XML
      Throws:
        `Exception`

    - #### parseTopicConfiguration

          public static TopicConfiguration parseTopicConfiguration(Node node)
                                                            throws Exception

      Parse the topic node as a TopicConfiguration object
      Parameters:
        `node` -
      Returns:
        topic configuration
      Throws:
        `Exception`

    - #### parseQueueConfiguration

          public static JMSQueueConfiguration parseQueueConfiguration(Node node)
                                                               throws Exception

      Parse the Queue Configuration node as a QueueConfiguration object
      Parameters:
        `node` -
      Returns:
        jms queue configuration
      Throws:
        `Exception`

    - #### newTopic

          protected static TopicConfiguration newTopic(String topicName)

      Parameters:
        `topicName` -
      Returns:

    - #### newQueue

          protected static JMSQueueConfiguration newQueue(String queueName,
                                                          String selectorString,
                                                          boolean durable)

      Parameters:
        `queueName` -
        `selectorString` -
        `durable` -
      Returns:

    - #### newConfig

          protected void newConfig(ArrayList<JMSQueueConfiguration> queues,
                                   ArrayList<TopicConfiguration> topics,
                                   String domain)

      Parameters:
        `queues` -
        `topics` -
        `domain` -

Copyright © 2015 The Apache Software Foundation. All rights reserved.